MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023987Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-05-23 10:562015-07-27 15:01
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023987: 2D fillets
Description2D fillets and chamfers for any type of edges in a plane. An additional algorithm for ChFi2d based on method of Newton and analytical equations.
TagsNo tags attached.
Test case numberfillet2d
Attached Files

- Relationships

-  Notes
(0024484)
vro (developer)
2013-05-23 12:10

Dear Igor,
Please consider the implementation. Any questions and remarks are welcome!
Vlad

P.S.: CR23987
(0024513)
ifv (developer)
2013-05-24 18:34

I have some remarks:

1. I think that it is necessary to add class, which can use AnaFilletAlgo or FilletAlgo depending of curve types (the same as in other algorithms that can work with different type of geometry: Extrema, intersection...).
2. It is necessary to add obligatory comments in header files (purpose of method, description of parameters...). It will be good to add comments with algoritm description for FilletAlgo.cxx at least, because algo is rather complex.
3. It is necessary to make the same interface for FilletAlgo and AnaFilletAlgo:
AnaFilletAlgo has constructor and Init() with wire:
ChFi2d_AnaFilletAlgo(const TopoDS_Wire& theWire, const gp_Pln& thePlane);
but FilletAlgo has no such constructor;
4. It is necessary to remove developer names from header files and adjust creation date or copyright.
(0024634)
mkv (tester)
2013-06-05 12:47

Dear BugMaster,

Branch CR23987 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 8cbb63fbcb8fbd282202d3f0fc31dad3e6675d64

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs modalg_5(010) bug23987_chamfer2d_A1, bug23987_fillet2d_A1, bug23987_fillet2d_B1, bug23987_fillet2d_B2, bug23987_fillet2d_B3, bug23987_fillet2d_B4, bug23987_fillet2d_B5,bug23987_fillet2d_B6, bug23987_fillet2d_B7, bug23987_fillet2d_B8 - OK.

Testing on Linux:
Total MEMORY difference: 366534220 / 366091560
Total CPU difference: 45454.650000001144 / 45000.41000000119

Testing on Windows:
Total MEMORY difference: 419761508 / 417181120
Total CPU difference: 35514.203125 / 35692.765625

There are not differences in images found by testdiff.
(0024711)
vro (developer)
2013-06-10 15:11

Dear Mpv,
Add please a short description of FilletAlgo algorithm in ChFi2d_FilletAlgo.cdl.
The branch is CR23987.
Thanks in advance,
Vro
(0024934)
mpv (developer)
2013-07-01 16:19

Added comments to classes and functions.

Dear Igor, could you review it once again.
(0024970)
ifv (developer)
2013-07-05 13:53

Dear vro,
Ok with comments for algorithms, but where is the interface class, which must call needed algorithm depending on input data?
(0024984)
vro (developer)
2013-07-08 10:05

The interface class for fillets is FilletAPI. It encapsulates FilletAlgo and AnaFilletAlgo and provides common interface for them. So, the user using this class doesn't take into account whether he needs an analytical algorithm or the fillet should be obtained by an iteration. On the other hand, the low-level algorithmic classes FilletAlgo and AnaFilletAlgo are still available for the user. Would you like to change or add anything? Any remarks are welcome!
(0025287)
ifv (developer)
2013-08-12 16:58

Ok
(0025288)
mkv (tester)
2013-08-12 18:19

Dear vro,
could you please rebase this fix to current master.
(0025289)
vro (developer)
2013-08-13 08:16

The branch is synchronized with master.
(0025303)
mkv (tester)
2013-08-14 15:19

Dear BugMaster,

Branch CR23987 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 5a2d79301b06fc357b03ce342f5570f6345d0e76

Number of compiler warnings:

occt component :
Linux: 917 (917 on master)
Windows: 864 (855 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs modalg_5(010) bug23987_chamfer2d_A1, bug23987_fillet2d_A1, bug23987_fillet2d_B1, bug23987_fillet2d_B2, bug23987_fillet2d_B3, bug23987_fillet2d_B4, bug23987_fillet2d_B5,bug23987_fillet2d_B6, bug23987_fillet2d_B7, bug23987_fillet2d_B8 - OK.
N.B. test cases tests/fillet2d are moved to tests/bugs/modalg_5(010)

Testing on Linux:
Total MEMORY difference: 363890736 / 363259256
Total CPU difference: 45673.85000000052 / 49185.820000000494

Testing on Windows:
Total MEMORY difference: 426220860 / 424448868
Total CPU difference: 41647.375 / 33046.28125

There are not differences in images found by testdiff.

New additional compilation warnings on Windows:

chfi2d_anafilletalgo.cxx:310
chfi2d_anafilletalgo.cxx:314
chfi2d_anafilletalgo.cxx:314
chfi2d_anafilletalgo.cxx:321
chfi2d_anafilletalgo.cxx:321
chfi2d_anafilletalgo.cxx:902
chfi2d_anafilletalgo.cxx:907
chfi2d_filletalgo.cxx:480
chfi2d_filletalgo.cxx:619
(0025326)
vro (developer)
2013-08-16 09:06
edited on: 2013-08-22 11:17

Warnings were eliminated.

(0025330)
mkv (tester)
2013-08-16 12:26

Dear vro,
there are extraction errors,

for example
Error : No file Prs3d_PointTool.cdl in Prs3d
Error : Failed during execution
Info : Step xcpp.fill
Error : Step xcpp.fill failed
Error : Step xcpp.src not done : almost Prs3d:xcpp.fill failed
Error : Step xcpp.header not done : almost Prs3d:xcpp.fill failed
Error : Step xcpp.template not done : almost Prs3d:xcpp.fill failed

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23987/job/mnt-CR23987-master_prepare_occt_linux/1/parsed_console/? [^]
(0025331)
vro (developer)
2013-08-16 12:55

Dear mkv,
The issue doesn't touch any Prs3d classes. All changes are done within ChFi2d package.
(0025332)
mkv (tester)
2013-08-16 13:00

It is result of bad merging. Could you please rebase this fix correctly.
(0025334)
vro (developer)
2013-08-16 16:30

Rebased. Please try again.
(0025335)
vro (developer)
2013-08-16 16:44

New branch is CR23987_2.
(0025356)
apn (administrator)
2013-08-20 15:52
edited on: 2013-08-20 15:52

Dear BugMaster,

Branch CR23987_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a6a0329d9e685700c358e56a23a7efecbd165b5d

Number of compiler warnings:

occt component :
Linux: 915 (923 on master)
Windows: 852 (852 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
fillet2d - OK

Testing on Linux:
Total MEMORY difference: 366511428 / 366030904
Total CPU difference: 46487.16000000103 / 42535.79000000082

Testing on Windows:
Total MEMORY difference: 427192740 / 428043456
Total CPU difference: 37653.75 / 32972.90625

There are not differences in images found by testdiff.

(0035863)
git (administrator)
2014-12-30 09:05

Branch CR23987 has been created by mpv.

SHA-1: 352dc741a0fe600bfdfd2fcd62d1856dea461d82


Detailed log of new commits:

Author: mpv
Date: Mon Jul 1 16:18:20 2013 +0400

    Added comments for classes and functions

Author: vro
Date: Mon Jun 10 09:16:07 2013 +0400

    API classes are added for the fillet & chamfer algorithms. Also, the API is unified for all classes. Comments are added for several methods.

Author: vro
Date: Mon Jun 10 08:45:41 2013 +0400

    Merge branch 'master' of git.dev.opencascade.org:occt into 23987

Author: vro
Date: Thu Jun 6 11:12:31 2013 +0400

    Merge branch 'CR23987' of git.dev.opencascade.org:occt into 23987

Author: mkv
Date: Wed Jun 5 12:46:38 2013 +0400

    Deleting temporary test cases for this fix

Author: mkv
Date: Wed Jun 5 12:45:16 2013 +0400

    Add test cases for this fix

Author: vro
Date: Thu May 23 12:06:35 2013 +0400

    Fillets and chamfers 2d are implemented: ChFi2d package.
    Draw-commands are put into BRepTest_Fillet2dCommands.cxx.
    Tests are fillet2d.

Author: vro
Date: Thu May 23 12:06:35 2013 +0400

    Fillets and chamfers 2d are implemented: ChFi2d package.
    Draw-commands are put into BRepTest_Fillet2dCommands.cxx.
    Tests are fillet2d.
(0043583)
git (administrator)
2015-07-27 15:01

Branch CR23987 has been deleted by kgv.

SHA-1: 352dc741a0fe600bfdfd2fcd62d1856dea461d82

- Related Changesets
occt: master 8b7c5e47
Timestamp: 2013-08-22 09:04:16
Author: vro
Committer: bugmaster
Details ] Diff ]
0023987: 2D fillets

Added test cases in group bugs/modalg_5
Test cases were put to corresponding regular grid fillet2d
mod - src/BRepTest/BRepTest_Fillet2DCommands.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d.cdl Diff ] File ]
add - src/ChFi2d/ChFi2d_AnaFilletAlgo.cxx Diff ] File ]
add - src/ChFi2d/ChFi2d_AnaFilletAlgo.hxx Diff ] File ]
add - src/ChFi2d/ChFi2d_ChamferAPI.cxx Diff ] File ]
add - src/ChFi2d/ChFi2d_ChamferAPI.hxx Diff ] File ]
add - src/ChFi2d/ChFi2d_FilletAlgo.cxx Diff ] File ]
add - src/ChFi2d/ChFi2d_FilletAlgo.hxx Diff ] File ]
add - src/ChFi2d/ChFi2d_FilletAPI.cxx Diff ] File ]
add - src/ChFi2d/ChFi2d_FilletAPI.hxx Diff ] File ]
mod - src/ChFi2d/FILES Diff ] File ]
add - tests/fillet2d/begin Diff ] File ]
add - tests/fillet2d/chamfer2d/A1 Diff ] File ]
add - tests/fillet2d/end Diff ] File ]
add - tests/fillet2d/fillet2d/A1 Diff ] File ]
add - tests/fillet2d/fillet2d/A2 Diff ] File ]
add - tests/fillet2d/fillet2d/A3 Diff ] File ]
add - tests/fillet2d/fillet2d/A4 Diff ] File ]
add - tests/fillet2d/fillet2d/A5 Diff ] File ]
add - tests/fillet2d/fillet2d/A6 Diff ] File ]
add - tests/fillet2d/fillet2d/A7 Diff ] File ]
add - tests/fillet2d/fillet2d/A8 Diff ] File ]
add - tests/fillet2d/fillet2d/A9 Diff ] File ]
add - tests/fillet2d/grids.list Diff ] File ]
add - tests/fillet2d/parse.rules Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-23 10:56 vro New Issue
2013-05-23 10:56 vro Assigned To => vro
2013-05-23 12:10 vro Note Added: 0024484
2013-05-23 12:10 vro Assigned To vro => ifv
2013-05-23 12:10 vro Status new => resolved
2013-05-24 18:34 ifv Note Added: 0024513
2013-05-24 18:34 ifv Status resolved => reviewed
2013-05-28 18:19 ifv Assigned To ifv => vro
2013-06-05 12:47 mkv Note Added: 0024634
2013-06-05 12:48 mkv Test case number => bugs modalg_5(010) bug23987_chamfer2d_A1, bug23987_fillet2d_A1, bug23987_fillet2d_B1, bug23987_fillet2d_B2, bug23987_fillet2d_B3, bug23987_fillet2d_B4, bug23987_fillet2d_B5,bug23987_fillet2d_B6, bug23987_fillet2d_B7, bug23987_fillet2d_B8
2013-06-05 12:48 mkv Assigned To vro => bugmaster
2013-06-05 12:48 mkv Status reviewed => tested
2013-06-05 13:41 bugmaster Assigned To bugmaster => vro
2013-06-05 13:41 bugmaster Status tested => assigned
2013-06-10 15:09 vro Assigned To vro => mpv
2013-06-10 15:11 vro Note Added: 0024711
2013-07-01 16:19 mpv Note Added: 0024934
2013-07-01 16:19 mpv Assigned To mpv => ifv
2013-07-01 16:19 mpv Status assigned => resolved
2013-07-05 13:53 ifv Note Added: 0024970
2013-07-05 13:53 ifv Assigned To ifv => vro
2013-07-05 13:53 ifv Status resolved => feedback
2013-07-08 10:05 vro Note Added: 0024984
2013-07-18 07:53 vro Assigned To vro => ifv
2013-08-12 16:58 ifv Note Added: 0025287
2013-08-12 16:58 ifv Status feedback => reviewed
2013-08-12 18:19 mkv Note Added: 0025288
2013-08-12 18:19 mkv Assigned To ifv => vro
2013-08-12 18:19 mkv Status reviewed => assigned
2013-08-13 08:16 vro Note Added: 0025289
2013-08-13 16:14 mkv Assigned To vro => mkv
2013-08-13 16:14 mkv Status assigned => resolved
2013-08-13 16:15 mkv Status resolved => reviewed
2013-08-14 15:19 mkv Note Added: 0025303
2013-08-14 15:19 mkv Assigned To mkv => vro
2013-08-14 15:19 mkv Status reviewed => assigned
2013-08-16 09:06 vro Note Added: 0025326
2013-08-16 09:06 vro Assigned To vro => mkv
2013-08-16 12:26 mkv Note Added: 0025330
2013-08-16 12:27 mkv Assigned To mkv => vro
2013-08-16 12:55 vro Note Added: 0025331
2013-08-16 12:55 vro Assigned To vro => mkv
2013-08-16 13:00 mkv Note Added: 0025332
2013-08-16 13:01 mkv Assigned To mkv => vro
2013-08-16 16:30 vro Note Added: 0025334
2013-08-16 16:30 vro Assigned To vro => mkv
2013-08-16 16:44 vro Note Added: 0025335
2013-08-19 11:23 mkv Assigned To mkv => apn
2013-08-19 11:23 mkv Status assigned => resolved
2013-08-19 11:23 mkv Status resolved => reviewed
2013-08-20 15:52 apn Note Added: 0025356
2013-08-20 15:52 apn Note Edited: 0025356 View Revisions
2013-08-20 15:53 apn Test case number bugs modalg_5(010) bug23987_chamfer2d_A1, bug23987_fillet2d_A1, bug23987_fillet2d_B1, bug23987_fillet2d_B2, bug23987_fillet2d_B3, bug23987_fillet2d_B4, bug23987_fillet2d_B5,bug23987_fillet2d_B6, bug23987_fillet2d_B7, bug23987_fillet2d_B8 => fillet2d
2013-08-20 15:53 apn Assigned To apn => bugmaster
2013-08-20 15:53 apn Status reviewed => tested
2013-08-22 11:17 bugmaster Note Edited: 0025326 View Revisions
2013-08-23 14:11 bugmaster Changeset attached => occt master 8b7c5e47
2013-08-23 14:11 bugmaster Status tested => verified
2013-08-23 14:11 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0
2014-12-30 09:05 git Note Added: 0035863
2015-07-27 15:01 git Note Added: 0043583


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker